> For the complete documentation index, see [llms.txt](https://docs.swingsoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swingsoftware.com/integrator-for-notes/error-messages.md).

# Error messages

- ["SwDocumentLib - SW\_OpenMSWord 55-9999" message](https://docs.swingsoftware.com/integrator-for-notes/error-messages/swdocumentlib-sw_openmsword-55-9999-message.md)
- ["\[40\] - Unauthorized user. Please contact your database manager" message](https://docs.swingsoftware.com/integrator-for-notes/error-messages/40-unauthorized-user.-please-contact-your-database-manager-message.md)
- ["SwOpenOfficeLib - Sw\_GetCurrentOODoc 9:91" error message](https://docs.swingsoftware.com/integrator-for-notes/error-messages/swopenofficelib-sw_getcurrentoodoc-9-91-error-message.md)
- [4120 bad parameter](https://docs.swingsoftware.com/integrator-for-notes/error-messages/4120-bad-parameter.md)
- [\[Web\] - 500 Internal server error](https://docs.swingsoftware.com/integrator-for-notes/error-messages/web-500-internal-server-error.md)
- [Error in loading DLL when PDF conversion starts](https://docs.swingsoftware.com/integrator-for-notes/error-messages/error-in-loading-dll-when-pdf-conversion-starts.md)
- [Lotus Notes crash when inserting SwAttachments subform in the 6.5.4](https://docs.swingsoftware.com/integrator-for-notes/error-messages/lotus-notes-crash-when-inserting-swattachments-subform-in-the-6.5.4.md)
- [New line character appears as a square box](https://docs.swingsoftware.com/integrator-for-notes/error-messages/new-line-character-appears-as-a-square-box.md)
- [Object library invalid or contains references to object definitions that could not be found (After M](https://docs.swingsoftware.com/integrator-for-notes/error-messages/object-library-invalid-or-contains-references-to-object-definitions-that-could-not-be-found-after-m.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.swingsoftware.com/integrator-for-notes/error-messages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
